Projects

Cancel a project access invitation

DELETE
/api/projects/{projectId}/invitations/{invitationId}

Authorization

sessionCookie
cookiebetter-auth.session_token<token>

The Better Auth email/password session cookie used by the web application.

Path Parameters

projectId*string
Length1 <= length
invitationId*string
Length1 <= length

Response Body

Response for status 200

application/json
  1. response
invitation*
Example Request
curl -X DELETE 'https://postbot.example/api/projects/string/invitations/string'
Example Response
{
  "invitation": {
    "id": "string",
    "email": "string",
    "role": "owner",
    "organizationId": "string",
    "inviterId": "string",
    "status": "pending",
    "expiresAt": 0,
    "createdAt": 0
  }
}

Was this page helpful?